package tk.eclipse.plugin.visualjsf.figures;

import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.SchemeBorder;
import org.eclipse.draw2d.ScrollBar;
import org.eclipse.draw2d.ButtonBorder.ButtonScheme;
import org.eclipse.swt.graphics.Color;

/**
 * 
 * @author Naoki Takezoe
 */
public class Textarea extends Figure implements ColorConstants {
	
	private Label text;
	
	public Textarea(){
		this("");
	}
	
	public Textarea(String s){
		CustomBorderLayout layout = new CustomBorderLayout();
		layout.setStretchCenterHeight(true);
		layout.setStretchCenterWidth(true);
		layout.setFillBottomAndTop(false);
		setLayoutManager(layout);
		setBackgroundColor(button);
		setOpaque(true);
		
		ScrollBar vbar = new ScrollBar();
		vbar.setOrientation(ScrollBar.VERTICAL);
		vbar.setMaximum(0);
		
		ScrollBar hbar = new ScrollBar();
		hbar.setOrientation(ScrollBar.HORIZONTAL);
		hbar.setMaximum(0);
		
		text = new Label();
		text.setText(s);
		text.setBackgroundColor(white);
		text.setOpaque(true);
		text.setLabelAlignment(Label.LEFT);
		text.setTextAlignment(Label.TOP);
		
		add(text, CustomBorderLayout.CENTER);
		add(vbar, CustomBorderLayout.RIGHT);
		add(hbar, CustomBorderLayout.BOTTOM);
		
		setBorder(new SchemeBorder(new ButtonScheme(
				new Color[] { buttonDarkest, buttonDarker },
				new Color[] { buttonLightest, buttonDarker }
			)));
	}
	
	public void setText(String s){
		text.setText(s);
	}
	
	public String getText(){
		return text.getText();
	}
	
}
